function moms = MarginalMomentsFromRAP (D0, D1, n) 

if ~CheckRAP(D0, D1)
	r=0;
    moms = 0;
	return;
end

Nm = zeros (n);
moms = zeros (1, n);

mf = size(D0,1);
P = inv(-D0)*D1;
M = P - eye(mf);
M = [ones(mf,1) M(:,2:mf)];
piv = [1 zeros(1,mf-1)] * inv(M);

for i=1:n
    moms(i) = sum (piv * factorial(i) * inv(-D0)^i);
end
