function [alpha, A] = phmom2appie (mom)

rmom = zeros(size(mom));
for i=1:length(mom)
    rmom(i) = mom(i) / factorial(i);
end

K = appie (rmom);
N = ceil(length(mom)/2);

T = zeros(N,N);
for i=1:N
    for j=1:i
        T(i,j) = 1;
    end
end

U = zeros(N,N);
for i=1:N
    for j=i:N
        U(i,j) = 1 / (N-i+1);
    end
end

alpha = zeros(1,N);
alpha(1) = 1;
alpha = alpha * inv(T) * U;
A = inv(U)*T*K*inv(T)*U;
