function [simmx] = SimularityMatrix (A, B) 


     

if size(A)>size(B)
    disp('The first input matrix must be smaller than the second one. Please change them!')
	r=0;
	return;
end
ai=eye(size(B,1));
bi=eye(size(A,1));
res=vertcat(zeros((size(A,1)*size(B,1)),1),ones(size(A,1),1));
also = kron(ones(1,size(B,1)), bi);
felso = kron(ai,A)-kron(B',bi);
qq = vertcat(felso,also);
simmx = devec(qq\res, size(A,1));

end

 % internal function:
 function M = devec(v, rows)
     M = [];
     for i=1:length(v)/rows
         M = [M, v((i-1)*rows+1:i*rows)];
     end
 end