function [G0,G1] = Canonical_negative(D0, D1) 

syms w1 w2;

[w,value]=fminsearch(FindW,[0,0])

W=[1-w1, w1;w2, 1-w2];
Wi=inv(W);
     
G0=Wi*D0*W;
G1=Wi*D1*W;


solve(G0(2,1),G0(2,1));

% internal function:
function [error] = FindW (w1, w2) 

W=[1-w1, w1;w2, 1-w2];
Wi=inv(W);
     
G0=Wi*D0*W;
G1=Wi*D1*W;

error= G0(2,1)^2+G1(1,1)^2;

end


