function dist = MMAPEvalFunc (X, kind)

msize=size(X,2);
dsize=size(X{1},1);

if rem(kind, 2) == 0
    w=zeros(1,msize);
    w(1)= min(min(X{1}-diag(diag(X{1}))));
    for k=2:msize
        w(k) = min(min(X{k}));
    end
    dist = -min(w);
else
    dist = 0;
    
    for i=1:dsize
        for j=1:dsize
            if i~=j && X{1}(i,j)<0
                dist = dist - X{1}(i,j);
            end
        end
    end

    for k=2:msize
        for i=1:dsize
            for j=1:dsize
                if X{k}(i,j)<0
                    dist = dist - X{k}(i,j);
                end
            end
        end
    end
end

end