function XX = MRAPFromMoments (moms, JMOM)

msize=size(JMOM,3)+1;

sized=size(JMOM,1);

hh=ones(sized,1);


[vec, h0]=MEFromMoments(moms);

h0i=inv(-h0);

gammav=zeros(sized,sized);
for i=1:1:sized
    gammav(i,:)=factorial(i-1)*vec*h0i^(i-1);
end

for i=1:1:sized
    gamma1(:,i)=factorial(i-1)*h0i^(i-1)*hh;
end

gamma1t=gamma1';

XX=zeros(sized,sized,msize);

XX(:,:,1)=h0;

for ii=2:1:msize
    XX(:,:,ii)=-h0*inv(gammav)*JMOM(:,:,ii-1)*inv(gamma1);
    
end

rowsum=zeros(sized,1);

for i=1:1:msize
    rowsum=rowsum+XX(:,:,i)*hh;
end

XX(:,:,1)=XX(:,:,1)-diag(rowsum);
