function [phi, h0, minush0Rhat] = RBTFromMoments (mom, nn)

global u0;
u0=mom(1);

mom2=mom;
mom2(1)=[];
mom1=mom2/u0;
global phi;
[phi, h0]=MEFromMoments(mom1);
h0i=inv(-h0);
global sized;
sized=size(phi, 2);

global hh;
hh=ones(sized, 1);

for i=1:1:sized   
gammav2(i,:)=factorial(i-1)*phi*(h0i^(i-1));
end
gammav=gammav2;

for i=1:1:sized  
    for j=1:1:sized
gamma12(i,:,j,:)=kron(u0*factorial(i-1)*(h0i^(i-1))*hh, u0*factorial(j-1)*(h0i^(j-1))*hh);       
    end
 
end

gamma1=gamma12;

C = permute(gamma1,[1 3 2]);
C = reshape(C,[],size(gamma1,2),1);

gamma1t=C';

global Rhat;
Rhat=inv(gammav)*nn*inv(gamma1t);


 
vvinit= ones(sized,1);
options = optimset('Display','off');
[vv,fval] = fsolve(@myfun,vvinit,options);

e=10^-12;
nonzero=0;
zeros=false(1,sized);

for i=1:1:sized   
if abs(vv(i,1))<e 
    zeros(i)=true
    %nonzero=i;
end
end

nonzero=i;

B=diag(vv);
if nonzero ~=0 
    for i=1:1:sized
        if zeros(i)
            B(i,i)=1;
            B(i,nonzero)=1;
        end
    end
end
Bi=inv(B);

phi=phi*B;
h0=Bi*h0*B;
Rhat=Bi*Rhat*kron(B,B);

minush0Rhat=-h0*Rhat;
