function r = CheckProbVector (pi)

global BuToolsVerbose;
prec = 10^-14;

if min(pi)<0
    if BuToolsVerbose
        fprintf ('CheckProbVector: The vector has negative element!');
    end
    r = 0;
    return;
end

if abs(sum(pi)-1)>prec
    if BuToolsVerbose
        fprintf ('CheckProbVector: The sum of the vector is not 1 (precision: %g)!', prec);
    end
    r = 0;
    return;
end

r = 1;