function r = CheckSubProbVector (pi)

global BuToolsVerbose;
prec = 10^-14;

if min(pi)<0
    if BuToolsVerbose
        fprintf ('CheckSubProbVector: The vector has negative element!');
    end
    r = 0;
    return;
end

if sum(pi)>=1
    if BuToolsVerbose
        fprintf ('CheckSubProbVector: The sum of the vector is not less than 1 (precision: %g)!', prec);
    end
    r = 0;
    return;
end

r = 1;