function C = KroneckerSum (A, B)

global BuToolsVerbose;

if size(A,1)~=size(A,2)
    if BuToolsVerbose
        fprintf ('KroneckerSum: A is not a square matrix!');
    end
    C = [];
    return;
end

if size(B,1)~=size(B,2)
    if BuToolsVerbose
        fprintf ('KroneckerSum: B is not a square matrix!');
    end
    C = [];
    return;
end

C = KroneckerProduct (A, eye(size(B))) + KroneckerProduct (B, eye(size(A)));
