
function bestX = minimize (X, iter, b, k, evalFunc, transSize, transFunc)
    lastdist = evalFunc(X, k);
    bestX = X;
    for i=1:iter
        [X, dist] = elementary (X, b, k, evalFunc, transSize, transFunc);
        if dist >= lastdist
            break;
        else
            lastdist = dist;
        end
        bestX = X;
    end
end