function [d0, d1] = RAPObsMinimize (d0in, d1in)

size(d0in,1);

vec=DTMCSolve(inv(-d0in)*d1in);

[B,n]=Staircase((d0in)', (d1in)', (vec)');

d0a=inv(B)*d0in*B;

d1a=inv(B)*d1in*B;

d0=d0a(1:n,1:n);

d1=d1a(1:n,1:n);