function [H0, H1] = minrep2mep (moms, Nm)

[e1, K] = phmom2appie (moms);

N = size(e1,2);

ge = zeros(N);
g1 = zeros(N);
h = ones(N,1);

for i=1:N
    ge(i,:) = e1 * factorial(i-1) * K^(i-1);
    g1(:,i) = factorial(i-1) * K^(i-1) * h;
end

H0 = inv(-K);
H1 = -H0 * inv(ge) * Nm * inv(g1);
