function JMOM = Lag1JointMomentsFromMRAP (X)

msize=size(X,3);

sized=size(X,1);

hh=ones(sized,1);

d0=X(:,:,1);

d0i=inv(-d0);

di=zeros(sized,sized);

for ii=2:1:msize
    di=di+X(:,:,ii);
end


vector=DRPSolve(d0i*di);

JMOM=zeros(sized, sized, msize-1);

for iii=2:1:msize
    dii=X(:,:,iii);
    for i=1:1:sized
        for j=1:1:sized
          JMOM(i,j,iii-1)=factorial(i-1)*factorial(j-1)*(vector*d0i^(i-1)*d0i*dii*d0i^(j-1)*hh);
        end
    end
end

