function Y = MRAPObsMinimize (X)

msize=size(X,3);
sized=size(X,1);

d0=X(:,:,1);

di=zeros(sized, sized);

for ii=2:1:msize
   di = di + X(:,:,ii);
   X(:,:,ii)=X(:,:,ii)';
end

X(:,:,1)=X(:,:,1)';

vec=DTMCSolve(inv(-d0)*di);

[n,B]=MStairCase(X, vec');

Y=zeros(n, n, msize);

for ii=1:1:msize
    M=inv(B)*X(:,:,ii)*B;
    Y(:,:,ii)=M(1:n,1:n);    
end

