function dist = TMAPEvalFunc (X, kind)

alpha = X{1};
h0u = X{2};
h1u = X{3};
a=-(h0u+h1u)*ones(size(h0u,1),1);

if rem(kind, 2) == 0
    w0 = min(alpha);
    w1 = min(min(h0u-diag(diag(h0u))));
    w2 = min(min(h1u));
    w3 = min(a);
    dist = -min([w0,w1,w2,w3]);
else
    dist = 0;
    for i=1:size(h0u,1)
        if alpha(i)<0
                dist = dist - alpha(i);
        end
        if a(i)<0
                dist = dist - a(i);
        end
        for j=1:size(h0u,2)
            if h1u(i,j)<0
                dist = dist - h1u(i,j);
            end       
            if i~=j && h0u(i,j)<0
                dist = dist - h0u(i,j);
            end
        end
    end
end

end