function [beta, h0, h1] = TRAPFromMoments (mom, nn)

u0=mom(1);
mom2=mom;
mom2(1)=[];
mom1=mom2/u0;
[o, h0]=MEFromMoments(mom1);
h0i=inv(-h0);
sized=size(o, 2);
hh=ones(sized, 1);

for i=1:1:sized   
gammav2(i,:)=factorial(i-1)*o*(h0i^(i-1));
end
gammav=gammav2;


for i=1:1:sized   
gamma12(i,:)=u0*factorial(i-1)*(h0i^(i-1))*hh;
end
gamma1=gamma12';

Phat=inv(gammav)*nn*inv(gamma1);

vv=u0*pinv(Phat)*hh;

e=10^-12;
nonzero=0;
zeros=false(1,sized);

for i=1:1:sized   
if abs(vv(i,1))<e 
    zeros(i)=true
    %nonzero=i;
end
end

nonzero=i;

B=diag(vv);
if nonzero ~=0 
    for i=1:1:sized
        if zeros(i)
            B(i,i)=1;
            B(i,nonzero)=1;
        end
    end
end
Bi=inv(B);

beta2=o*B;
g0=Bi*h0*B;
g1=-Bi*h0*Phat*B;

beta=beta2;
h0=g0;
h1=g1;
