function r = CheckRAP (D0, D1)

global BuToolsVerbose;
prec = 10^-14;

if ~CheckTransientGenerator(D0)
    r = 0;
    return;
end

if size(D0)~=size(D1)
    if BuToolsVerbose
        fprintf ('CheckRAP: D0 and D1 have different sizes!');
    end
    r = 0;
    return;
end

if size(D0,1)~=size(D0,2)
    if BuToolsVerbose
        fprintf ('CheckRAP: D0 is not a square matrix!');
    end
    r = 0;
    return;
end

if size(D1,1)~=size(D1,2)
    if BuToolsVerbose
        fprintf ('CheckRAP: D1 is not a square matrix!');
    end
    r = 0;
    return;
end

r = 1;